from analyze.db import Database


db = Database('final_ccdb01.db')

# Write all user scores to file
distinct_user_scores = db.fetch('select distinct u.username, u.score from Users as u inner join Answers as a on u.username=a.username')
#db.writeCSV(distinct_user_scores, 'results/distinct_user_scores.csv', ['username', 'score'])

# Write count for each score
distinct_score_count = db.fetch('select u.score, count(u.username) from Users as u where u.score is not null group by u.score order by u.score desc')
db.writeCSV(distinct_score_count, 'results/distinct_score_count.csv', ['score', 'count'])

