/* Small node express app to serve static express build files */
let express = require('express');
let serveStatic = require('serve-static');

let app = express();

app.use(serveStatic('build'));

// Make all static urls accessible
app.use('/', serveStatic('build'));
app.use('/callback', serveStatic('build'));
app.use('/home', serveStatic('build'));
app.use('/classification', serveStatic('build'));
app.use('/classification-training', serveStatic('build'));
app.use('/done', serveStatic('build'));
app.use('/results', serveStatic('build'));
app.use('/thanks', serveStatic('build'));
app.use('/login', serveStatic('build'));
app.use('/create-user', serveStatic('build'));

// Terms of service and privacy policy
app.use('/terms-and-conditions', serveStatic('tos.html'));
app.use('/privacy', serveStatic('privacy.html'));

//app.use(express.static(path.join(__dirname, './build')));
app.listen(3000);