# ClaimCollector

## To run ClaimCollector on a server

### Install forever js
```bash
npm install forever -g
```


### Front end
Will create build folder and serve it with express. Logs output and errors.

```bash
npm install
npm run build
```

### API

1. Install required dependencies
```bash
cd api/
npm install
```

2. Run cron_copy_db_script
Will run a cron script that copies the database every day at 02:30
```bash
forever start -m5 -o ./logs/copy_db.log -e ./logs/error_copy_db.log cron_copy_db_script.js
```


3. Run api.js
Will start the actual api service
```bash
forever start -m5 -o ./logs/api.log -e ./logs/error_api.log api.js
```


### Server:
```bash
forever start -m 5 -o ./logs/api.log -e ./logs/error_api.log api.js
forever start -m 5 -o ./logs/cron.log -e ./logs/error_cron.log cron_copy_db_script.js
```

- check that it runs with "forever list"


## To run ClaimCollector locally

## Frond end
Install all node modules, and run the web app in development mode.
```bash
npm install
npm start
```

## API
Install all node modules, and run api.js in development mode.
```bash
cd api/
npm install
npm start
```

**App will be running at http://localhost:3000 and API at http://localhost:8000/api**
