import React, { Component } from 'react';
import { Navbar, Nav, NavItem } from 'react-bootstrap';
import URLS from './urls';

class Footer extends Component {

    render() {
        let privacy_url = URLS.ssl_app_url+'/privacy';
        let terms_url = URLS.ssl_app_url+'/terms-and-conditions';

        return (
            <Navbar fixedBottom>
                <Nav stacked>
                    <NavItem title={privacy_url} href={privacy_url} target="_blank">Personvernerklæring</NavItem>
                    <NavItem title={terms_url} href={terms_url} target="_blank">Vilkår for bruk</NavItem>
                </Nav>
                <Navbar.Text pullRight>
                    Kontakt: <a href="mailto:claimcollector@gmail.com?Subject=Generelle%20spørsmål%20om%20ClaimCollector" target="_top">claimcollector@gmail.com</a>
                </Navbar.Text>
            </Navbar>
        );
    }
}
export default Footer;